class PetrolEngine implements Engine{
    @Override
    public void turnOn() {
        System.out.println("PetrolEngine, włączony");
    }

    @Override
    public void turnOff() {
        selfCheck();
        System.out.println("PetrolEngine, wyłączony");
    }

    private void selfCheck(){
        System.out.println("PetrolEngine, autotest");
    }
}
